booster::enable_shared_from_this< T > Class Template Reference

This class is borrowed from boost. More...

`#include <booster/booster/enable_shared_from_this.h>`

## Public Member Functions

shared_ptr< T > | shared_from_this ()
shared_ptr< T const > | shared_from_this () const
template<class X , class Y >
void | _internal_accept_owner (shared_ptr< X > const *ppx, Y *py) const

## Protected Member Functions

| enable_shared_from_this (enable_shared_from_this const &)
enable_shared_from_this & | operator= (enable_shared_from_this const &)

## Detailed Description

### template<class T>
class booster::enable_shared_from_this< T >

This class is borrowed from boost.

For details see: http://www.boost.org/doc/libs/release/libs/smart_ptr

The documentation for this class was generated from the following file:

- booster/enable_shared_from_this.h